Activity log for bug #1601998

Date Who What changed Old value New value Message
2016-07-11 20:58:05 errors.ubuntu.com bug bridge bug added bug
2016-07-11 20:58:05 errors.ubuntu.com bug bridge bug added subscriber Brian Murray
2017-10-20 23:25:42 Brian Murray description The Ubuntu Error Tracker has been receiving reports about a problem regarding dpkg. This problem was most recently seen with version 1.18.4ubuntu1.1, the problem page at https://errors.ubuntu.com/problem/fbab11d5ffef5f64e1affa33c6e5bf0330075104 contains more details. [Impact] There are a ton of crash reports in the Error Tracker from dpkg about dpkg-split which cause dpkg to abort. It'd be good to get this resolved in Ubuntu 16.04. [Test Case] Verify that the new version of dpkg does not appear in the Error Tracker. One might also try the following: 1) dpkg -i /tmp/cats 2) Observe dpkg-split aborting With the version of the package in -proposed that should not happen. [Regression Potential] Little as we are just changing the error handling mechanism. The Ubuntu Error Tracker has been receiving reports about a problem regarding dpkg. This problem was most recently seen with version 1.18.4ubuntu1.1, the problem page at https://errors.ubuntu.com/problem/fbab11d5ffef5f64e1affa33c6e5bf0330075104 contains more details.
2017-10-20 23:26:25 Brian Murray nominated for series Ubuntu Xenial
2017-10-20 23:26:25 Brian Murray bug task added dpkg (Ubuntu Xenial)
2017-10-20 23:26:55 Brian Murray dpkg (Ubuntu): status New Fix Released
2017-10-20 23:27:00 Brian Murray dpkg (Ubuntu Xenial): status New In Progress
2017-10-20 23:27:02 Brian Murray dpkg (Ubuntu Xenial): importance Undecided Medium
2017-10-20 23:27:05 Brian Murray dpkg (Ubuntu Xenial): assignee Brian Murray (brian-murray)
2017-10-20 23:42:27 Brian Murray description [Impact] There are a ton of crash reports in the Error Tracker from dpkg about dpkg-split which cause dpkg to abort. It'd be good to get this resolved in Ubuntu 16.04. [Test Case] Verify that the new version of dpkg does not appear in the Error Tracker. One might also try the following: 1) dpkg -i /tmp/cats 2) Observe dpkg-split aborting With the version of the package in -proposed that should not happen. [Regression Potential] Little as we are just changing the error handling mechanism. The Ubuntu Error Tracker has been receiving reports about a problem regarding dpkg. This problem was most recently seen with version 1.18.4ubuntu1.1, the problem page at https://errors.ubuntu.com/problem/fbab11d5ffef5f64e1affa33c6e5bf0330075104 contains more details. [Impact] There are a ton of crash reports in the Error Tracker from dpkg about dpkg-split which cause dpkg to abort. It'd be good to get this resolved in Ubuntu 16.04. [Test Case] Verify that the new version of dpkg does not appear in the Error Tracker. One might also try the following: 1) dpkg -i /tmp/cats 2) Observe dpkg-split aborting e.g. dpkg-split: error: error reading /tmp/cats: Is a directory dpkg:../../src/unpack.c:123:deb_reassemble: internal error: unexpected exit status 2 from dpkg-split Aborted (core dumped) With the version of the package in -proposed that should not happen. [Regression Potential] Little as we are just changing the error handling mechanism. The Ubuntu Error Tracker has been receiving reports about a problem regarding dpkg. This problem was most recently seen with version 1.18.4ubuntu1.1, the problem page at https://errors.ubuntu.com/problem/fbab11d5ffef5f64e1affa33c6e5bf0330075104 contains more details.
2017-10-25 12:54:27 Chris J Arges dpkg (Ubuntu Xenial): status In Progress Fix Committed
2017-10-25 12:54:29 Chris J Arges bug added subscriber Ubuntu Stable Release Updates Team
2017-10-25 12:54:32 Chris J Arges bug added subscriber SRU Verification
2017-10-25 12:54:37 Chris J Arges tags kylin-15.04 vivid wily xenial yakkety kylin-15.04 verification-needed verification-needed-xenial vivid wily xenial yakkety
2017-10-25 17:09:47 Simon D├ęziel tags kylin-15.04 verification-needed verification-needed-xenial vivid wily xenial yakkety kylin-15.04 verification-done verification-done-xenial vivid wily xenial yakkety
2017-11-29 23:57:30 Launchpad Janitor dpkg (Ubuntu Xenial): status Fix Committed Fix Released
2017-11-29 23:57:34 Brian Murray removed subscriber Ubuntu Stable Release Updates Team